Get Deployment
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps/{id}/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/apps/{id}/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/apps/{id}/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"manifest": {
"name": "<string>",
"image": {
"type": "build",
"build_source": {
"type": "remote",
"remote_uri": "<string>"
},
"build_spec": {
"type": "dockerfile",
"dockerfile_path": "./Dockerfile",
"build_context_path": "./",
"command": "<string>",
"build_args": {},
"build_secrets": [
{
"id": "<string>",
"value": "<string>",
"env": "<string>"
}
]
},
"docker_registry": "<string>"
},
"ports": [
{
"port": 80,
"protocol": "TCP",
"expose": true,
"app_protocol": "http",
"host": "<string>",
"path": "<string>",
"rewrite_path_to": "<string>",
"auth": {
"type": "basic_auth",
"username": "<string>",
"password": "<string>"
}
}
],
"type": "service",
"replicas": 1,
"artifacts_download": {
"artifacts": [
{
"type": "truefoundry-artifact",
"artifact_version_fqn": "<string>",
"download_path_env_variable": "<string>"
}
],
"cache_volume": {
"storage_class": "<string>",
"cache_size": 200
}
},
"resources": {
"cpu_request": 0.2,
"cpu_limit": 0.5,
"memory_request": 200,
"memory_limit": 500,
"ephemeral_storage_request": 1000,
"ephemeral_storage_limit": 2000,
"shared_memory_size": 2000032,
"node": {
"type": "node_selector",
"instance_families": [
"<string>"
]
},
"devices": [
{
"type": "nvidia_gpu",
"count": 8,
"name": "<string>"
}
]
},
"env": null,
"service_account": "<string>",
"mounts": [
{
"type": "secret",
"mount_path": "<string>",
"secret_fqn": "<string>"
}
],
"labels": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"liveness_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"readiness_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"startup_probe": {
"config": {
"type": "http",
"path": "<string>",
"port": 32767,
"host": "<string>",
"scheme": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 10,
"timeout_seconds": 1,
"success_threshold": 1,
"failure_threshold": 3
},
"workspace_fqn": "<string>",
"auto_shutdown": {
"wait_time": 900
},
"allow_interception": false,
"rollout_strategy": {
"type": "rolling_update",
"max_unavailable_percentage": 25,
"max_surge_percentage": 25
}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"version": 123,
"fqn": "<string>",
"applicationId": "<string>",
"application": {
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"metadata": {
"paused": true
},
"workspaceId": "<string>",
"activeVersion": 123,
"applicationSetId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentBuilds": [
{
"name": "<string>",
"status": 20
}
],
"deploymentStatuses": [
{
"id": "<string>",
"deploymentId": "<string>",
"state": {},
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"currentStatusId": "<string>",
"currentStatus": {
"id": "<string>",
"deploymentId": "<string>",
"state": {},
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"appliedRecommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Applications
Get Deployment
Get a single deployment by application ID and deployment ID.
GET
/
api
/
svc
/
v1
/
apps
/
{id}
/
deployments
/
{deploymentId}
Get Deployment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the application
Unique identifier of the deployment
Response
Deployment details.
Deployment details
Show child attributes
Show child attributes
Was this page helpful?
⌘I